﻿/*fid.indrawan Jul-2013 */
DECLARE
	@@sqlQuery AS VARCHAR(MAX)

IF object_id('tempdb..#tmpsplitStringDockCD') IS NOT NULL DROP TABLE #tmpsplitStringDockCD

CREATE TABLE #tmpsplitStringDockCD
(
	column1 VARCHAR(MAX)
)

INSERT INTO #tmpsplitStringDockCD(column1)
EXEC dbo.SplitString @3, ';'

SET @@sqlQuery = 'SELECT row_number() OVER (ORDER BY S.PACK_MONTH, S.PART_NO ASC) AS ROW_ID, S.PACK_MONTH AS PRODUCTION_MONTH, S.PART_NO, S.PART_NAME, ISNULL(IM.ORDER_QTY, 0) AS ORDER_QTY, ISNULL(IM.DAMAGE_QTY, 0) AS DAMAGE_QTY, ISNULL(IM.MISSPART_QTY, 0) AS MISSPART_QTY, ISNULL(IM.SHORTAGE_QTY, 0) AS SHORTAGE_QTY, ISNULL(IM.FD_EXCHANGE_RATE, '' '') AS FD_EXCHANGE_RATE, ISNULL(IM.FD_IM_PERIOD, '' '') AS FD_IM_PERIOD, 
						   ISNULL(IM.FD_STANDARD_COST, '' '') AS FD_STANDARD_COST, ISNULL(IM.PCD_DOCK_CODE, '' '') AS PCD_DOCK_CODE, ISNULL(IM.PCD_MATERIAL_MASTER, '' '') AS PCD_MATERIAL_MASTER, ISNULL(IM.PCD_ROUTING, '' '') AS PCD_ROUTING, ISNULL(IM.PCD_PART_LIST, '' '') AS PCD_PART_LIST, ISNULL(IM.PCD_OTHERS, '' '') AS PCD_OTHERS, ISNULL(IM.PAD_DOCK_CODE, '' '') AS PAD_DOCK_CODE, 
						   ISNULL(IM.PAD_MATERIAL_MASTER, '' '') AS PAD_MATERIAL_MASTER, ISNULL(IM.PAD_MATDOCK, '' '') AS PAD_MATDOCK, ISNULL(IM.PAD_LOCATION_CODE, '' '') AS PAD_LOCATION_CODE, ISNULL(IM.PAD_OTHERS, '' '') AS PAD_OTHERS, ISNULL(IM.PUD_MATERIAL_PRICE, '' '') AS PUD_MATERIAL_PRICE, ISNULL(IM.PUD_STANDARD_PRICE, '' '') AS PUD_STANDARD_PRICE, ISNULL(IM.PUD_PO, '' '') AS PUD_PO, 
						   ISNULL(IM.PUD_SOURCE_LIST, '' '') AS PUD_SOURCE_LIST, ISNULL(IM.PUD_SUPPLIER_MASTER, '' '') AS PUD_SUPPLIER_MASTER, ISNULL(IM.PUD_OTHERS, '' '') AS PUD_OTHERS, ISNULL(IM.PVD_MATERIAL_PRICE, '' '') AS PVD_MATERIAL_PRICE, ISNULL(IM.PVD_PACKING_TYPE, '' '') AS PVD_PACKING_TYPE, ISNULL(IM.PVD_OTHERS, '' '') AS PVD_OTHERS, ISNULL(IM.ISTD_SYSTEM, '' '') AS ISTD_SYSTEM, 
						   ISNULL(IM.ISTD_OTHERS, '' '') AS ISTD_OTHERS
					FROM TB_R_LPOP_SUM S
						LEFT JOIN tb_t_ics_dock_mapping DM ON S.DOCK_CD = DM.DOCK_CD 
							AND (GETDATE() BETWEEN DM.VALID_DT_FR AND DM.VALID_DT_TO)
						LEFT JOIN TB_T_ICS_MASTER_COMPLETENES_CHECK_RESULT IM ON IM.PART_NO = S.PART_NO AND IM.SUPPLIER_CD = S.SUPPLIER_CD 
							AND IM.PRODUCTION_MONTH = S.PACK_MONTH AND IM.DOCK_CD = S.DOCK_CD AND IM.PLANT_CD = DM.PLANT_CD AND IM.SLOC_CD = DM.SLOC_CD
					WHERE S.PACK_MONTH = ''' + @0 + ''' '

				IF(@1<>'')
				BEGIN
					SET @@sqlQuery = @@sqlQuery + 'AND S.PART_NO = isnull('''+@1+''','''')'
				END

				IF(@2<>'')
				BEGIN
					SET @@sqlQuery = @@sqlQuery + ' AND S.PART_NAME = isnull('''+@2+''','''')'
				END

				--IF(@3<>'')
				--BEGIN
				--	SET @@sqlQuery = @@sqlQuery + 'AND ((IMCC.dock_cd IN (select column1 from #tmpsplitStringDockCD) AND isnull('''+@3+''', '''') <> '''') or (isnull('''+@3+''', '''') = ''''))'
				--END

SET @@sqlQuery = @@sqlQuery + 'ORDER BY S.PACK_MONTH DESC'
EXEC(@@sqlQuery)